﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>RadHtmlChart exporting example</title>
</head>
<body>
	<form id="form1" runat="server">
	<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
	</telerik:RadScriptManager>
	<asp:HiddenField runat="server" ID="svgHolder" />
	<fieldset style="width: 500px;">
		<legend>Choose the desired format and click the button to receive the file</legend>
		<asp:RadioButtonList runat="server" ID="rbl_ExportFormat">
			<asp:ListItem Text="PNG" Value="png" Selected="true"></asp:ListItem>
			<asp:ListItem Text="PDF" Value="pdf"></asp:ListItem>
		</asp:RadioButtonList>
		<asp:Button ID="Button1" Text="Export the RadHtmlChart" OnClientClick="getSvgContent(this); return false;"
			OnClick="Button1_Click" runat="server" />
	</fieldset>
	<script type="text/javascript">
		function getSvgContent(sender)
		{
			//obtain an SVG version of the chart regardless of the browser
			var chartRendering = $find("<%=RadHtmlChart1.ClientID %>").getSVGString();
			//store the SVG string in a hidden field and escape it so that the value can be posted to the server
			$get("<%=svgHolder.ClientID %>").value = escape(chartRendering);
			//initiate the postback from the button so that its server-side handler is executed
			__doPostBack(sender.name, "");
		}
	</script>
	<telerik:RadHtmlChart runat="server" ID="RadHtmlChart1" Width="800" Height="500"
		Transitions="true">
		<Appearance>
			<FillStyle BackgroundColor="White" />
		</Appearance>
		<ChartTitle Text="Browser Usage for April 2012">
			<Appearance Align="Center" BackgroundColor="White" Position="Top" />
		</ChartTitle>
		<Legend>
			<Appearance BackgroundColor="White" Position="Right" Visible="true" />
		</Legend>
		<PlotArea>
			<Appearance>
				<FillStyle BackgroundColor="White" />
			</Appearance>
			<Series>
				<telerik:PieSeries StartAngle="90">
					<LabelsAppearance Position="OutsideEnd" DataFormatString="{0} %" />
					<TooltipsAppearance DataFormatString="{0} %" />
					<Items>
						<telerik:SeriesItem BackgroundColor="#ff9900" Exploded="true" Name="Internet Explorer"
							YValue="18.3" />
						<telerik:SeriesItem BackgroundColor="#cccccc" Exploded="false" Name="Firefox" YValue="35.8" />
						<telerik:SeriesItem BackgroundColor="#999999" Exploded="false" Name="Chrome" YValue="38.3" />
						<telerik:SeriesItem BackgroundColor="#666666" Exploded="false" Name="Safari" YValue="4.5" />
						<telerik:SeriesItem BackgroundColor="#333333" Exploded="false" Name="Opera" YValue="2.3" />
					</Items>
				</telerik:PieSeries>
			</Series>
		</PlotArea>
	</telerik:RadHtmlChart>
	</form>
</body>
</html>
